org.jgroups.annotations

## Annotation Type GuardedBy

-     @Target(value={FIELD,METHOD})
      @Retention(value=SOURCE)
      public @interface GuardedBy

  Copyright (c) 2005 Brian Goetz and Tim Peierls Released under the Creative Commons Attribution License (http://creativecommons.org/licenses/by/2.5) Official home: http://www.jcip.net Adopted from Java Concurrency in Practice. This annotation defines the monitor that protects the variable annotated by @GuardedBy, e.g. @GuardedBy("lock") or @GuardedBy("this")
  Author:
    Bela Ban

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `java.lang.String` | `value`

- - ### Element Detail

    - #### value

          public abstract java.lang.String value

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.